textures/threewave/map6sky
{
	q3map_lightimage textures/colors/blue_light
	qer_editorimage	textures/tools/editor_images/qer_sky
	q3map_surfacelight 60
//	q3map_lightsubdivide 2048 // for fast cook
	q3map_lightsubdivide 512  //for final cook
	sun 0.47 0.57 1 40 0 65
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nomarks
	notc
	q3map_nolightmap
	skyParms - 256 -
}

textures/threewave/thereisnofog
{
	qer_editorimage	textures/tools/editor_images/qer_fogblack
	surfaceparm	nonsolid
	surfaceparm	fog
	fogparms	( 0.3 0.3 0.35 ) 3500.0
}

textures/threewave/map6notsky
{
	q3map_lightimage textures/colors/blue_light
	qer_editorimage	textures/tools/editor_images/qer_sky
	q3map_surfacelight 30
//	q3map_lightsubdivide 256 //for fast cook
	q3map_lightsubdivide 64  //for final cook
	sun 0.84 0.92 1 25 0 45
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	q3map_novertexshadows
	q3map_nolightmap
	skyParms - 256 -
	notc
}

textures/metashader/mp_kam5_0
{
	q3map_material Snow
	q3map_nolightmap
	q3map_onlyvertexlighting
	{
		map textures/kamchatka/snow_1
		rgbGen vertex
		tcMod scale 0.25 0.25
	}
}

textures/threewave/lights_5_5k
{
	q3map_lightimage textures/colors/white
	qer_editorimage textures/common/lights_5
	q3map_surfacelight 5000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/lights_5
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_5_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lights_5_8k
{
	q3map_lightimage textures/colors/white
	qer_editorimage textures/common/lights_5
	q3map_surfacelight 8000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/lights_5
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_5_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lights_5_10k
{
	q3map_lightimage textures/colors/white
	qer_editorimage textures/common/lights_5
	q3map_surfacelight 10000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/lights_5
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_5_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lights_5_15k
{
	q3map_lightimage textures/colors/white
	qer_editorimage textures/common/lights_5
	q3map_surfacelight 15000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/lights_5
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_5_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lights_5_20k
{
	q3map_lightimage textures/colors/white
	qer_editorimage textures/common/lights_5
	q3map_surfacelight 20000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/lights_5
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_5_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lights_5_30k
{
	q3map_lightimage textures/colors/white
	qer_editorimage textures/common/lights_5
	q3map_surfacelight 30000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/lights_5
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_5_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lights_5_40k
{
	q3map_lightimage textures/colors/white
	qer_editorimage textures/common/lights_5
	q3map_surfacelight 40000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/lights_5
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_5_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lights2_po_3k
{
	q3map_lightimage textures/colors/yellow_light
	qer_editorimage textures/common/lights_2
	q3map_surfacelight 3000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	polygonOffset
	{
		map $lightmap
	}
	{
		map textures/common/lights_2
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_2_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lights2_po_5k
{
	q3map_lightimage textures/colors/yellow_light
	qer_editorimage textures/common/lights_2
	q3map_surfacelight 5000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	polygonOffset
	{
		map $lightmap
	}
	{
		map textures/common/lights_2
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_2_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lights2_po_60k
{
	q3map_lightimage textures/colors/yellow_light
	qer_editorimage textures/common/lights_2
	q3map_surfacelight 60000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	polygonOffset
	{
		map $lightmap
	}
	{
		map textures/common/lights_2
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_2_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lights2_30k
{
	q3map_lightimage textures/colors/yellow_light
	qer_editorimage textures/common/lights_2
	q3map_surfacelight 30000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/lights_2
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_2_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lights2_100k
{
	q3map_lightimage textures/colors/yellow_light
	qer_editorimage textures/common/lights_2
	q3map_surfacelight 100000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/lights_2
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_2_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/blue_light_1_3k
{
	q3map_lightimage textures/colors/blue_light
	qer_editorimage	textures/common/red_light_1
	q3map_surfacelight 3000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/red_light_1
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/threewave/blue_light_1_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/blue_light_1_10k
{
	q3map_lightimage textures/colors/blue_light
	qer_editorimage	textures/common/red_light_1
	q3map_surfacelight 10000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/red_light_1
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/threewave/blue_light_1_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/red_light_1_8k
{
	q3map_lightimage textures/colors/red_light
	qer_editorimage	textures/common/red_light_1
	q3map_surfacelight 8000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/red_light_1
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/red_light_1_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/red_light_1_10k
{
	q3map_lightimage textures/colors/red_light
	qer_editorimage	textures/common/red_light_1
	q3map_surfacelight 10000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/red_light_1
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/red_light_1_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/red_light_1_15k
{
	q3map_lightimage textures/colors/red_light
	qer_editorimage	textures/common/red_light_1
	q3map_surfacelight 15000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/red_light_1
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/red_light_1_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/red_light_1_20k
{
	q3map_lightimage textures/colors/red_light
	qer_editorimage	textures/common/red_light_1
	q3map_surfacelight 20000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/red_light_1
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/red_light_1_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/red_light_1_40k
{
	q3map_lightimage textures/colors/red_light
	qer_editorimage	textures/common/red_light_1
	q3map_surfacelight 40000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/red_light_1
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/red_light_1_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/red2_light_1_10k
{
	q3map_lightimage textures/colors/red
	qer_editorimage	textures/common/red_light_1
	q3map_surfacelight 10000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/red_light_1
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/threewave/red2_light_glow
		blendFunc GL_ONE GL_ONE
	}
}


textures/threewave/ladder_rung_mp_nc
{
	qer_editorimage	textures/kamchatka/ladder_rung
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nonopaque
	surfaceparm playerclip
	surfaceparm monsterclip
	Cull disable
	q3map_material SolidMetal
	q3map_nolightmap
	q3map_alphashadow
	q3map_onlyvertexlighting
	q3map_novertexshadows
    {
        map textures/kamchatka/ladder_rung
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/threewave/warningstrip_po
{
	qer_editorimage textures/kamchatka/warningstrip
	q3map_material Concrete
	polygonOffset
	{
		map $lightmap
	}
	{
		map textures/kamchatka/warningstrip
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/metal2_po
{
	qer_editorimage textures/kamchatka/metal2
	q3map_material SolidMetal
	polygonOffset
	{
		map $lightmap
	}
	{
		map textures/kamchatka/metal2
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/rust1_po
{
	qer_editorimage textures/kamchatka/rust1
	q3map_material SolidMetal
	polygonOffset
	{
		map $lightmap
	}
	{
		map textures/kamchatka/rust1
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/metl_beam01a_po
{
	qer_editorimage textures/kamchatka/metl_beam01a
	q3map_material SolidMetal
	polygonOffset
	aliasShader textures/kamchatka/metl_beam01
	{
		map $lightmap
	}
	{
		map textures/kamchatka/metl_beam01a
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/tracks1_x
{
	qer_editorimage textures/kamchatka/tracks1
	q3map_material SolidMetal
	{
		map $lightmap
	}
	{
		map textures/kamchatka/tracks1
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/threewave/dark_rubber
{
	qer_editorimage textures/colors/black_80
	q3map_material Rubber
	{
		map $lightmap
	}
	{
		map textures/colors/black_80
//		rgbGen wave sin 0.1 0 0 1
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/metalsiding_vl
{
	qer_editorimage textures/kamchatka/metalsiding
	q3map_material HollowMetal
	q3map_nolightmap
	q3map_onlyvertexlighting
	{
		map textures/kamchatka/metalsiding
		rgbGen vertex
	}
}

textures/threewave/vent2_po
{
	qer_editorimage textures/kamchatka/vent2
	q3map_material HollowMetal
	polygonOffset
	{
		map $lightmap
	}
	{
		map textures/kamchatka/vent2
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/crate2_po
{
	qer_editorimage textures/colombia/crate2
	q3map_material HollowWood
	polygonOffset
	{
		map $lightmap
	}
	{
		map textures/colombia/crate2
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/crate3_po
{
	qer_editorimage textures/colombia/crate3
	q3map_material HollowWood
	polygonOffset
	{
		map $lightmap
	}
	{
		map textures/colombia/crate3
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/crate3a_po
{
	qer_editorimage textures/colombia/crate3a
	q3map_material HollowWood
	polygonOffset
	{
		map $lightmap
	}
	{
		textures/finca/door_storage
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/door_storage_po
{
	qer_editorimage textures/finca/door_storage
	q3map_material SolidWood
	polygonOffset
	{
		map $lightmap
	}
	{
		map textures/finca/door_storage
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/_caulk_wood
{
	qer_editorimage	textures/tools/_caulk
	surfaceparm nomarks
	surfaceparm nodraw
	q3map_material HollowWood
	q3map_nolightmap
}

textures/threewave/_caulk_metal
{
	qer_editorimage	textures/tools/_caulk
	surfaceparm nomarks
	surfaceparm nodraw
	q3map_material HollowMetal
	q3map_nolightmap
}
